import os
import sqlite3

TABLE_ACCOUNTS  = "accounts"
TABLE_X         = "x_posts"

class DatabaseController:
    def __init__(self, db_name):
        self.conn = sqlite3.connect(db_name, isolation_level="DEFERRED")
        self.cursor = self.conn.cursor()

    def run_query(self, query):
        try:
            self.cursor.execute(query)
            results = self.cursor.fetchall()
            return results
        except Exception as e:
            print(e)
            return None

    def close(self):
        self.conn.close()